/* Start Global Rules */
* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
:root {
  --main-color: #cf1f1f;
  --main-color-alt: #1787e0;
  --section-background: #212121;
  --main-padding-top: 100px;
  --main-padding-bottom: 100px;
  --main-transition:0.3s;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Cairo", sans-serif;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
}

button:hover {
  cursor: pointer;
}

.container {
  padding-left: 15px;
  padding-right: 15px;
  margin-left: auto;
  margin-right: auto;
}

@media (min-width: 768px) {
  .container {
    width: 750px;
  }
}

@media (min-width: 992px) {
  .container {
    width: 970px;
  }
}

@media (min-width: 1200px) {
  .container {
    width: 1170px;
  }
}

.main-title {
    text-transform: uppercase;
    margin: 0 auto 80px;
    border: 2px solid black;
    padding: 10px 20px;
    font-size: 30px;
    width: fit-content;
    position: relative;
    z-index: 1;
    transition: var(--main-transition);
  }
  .main-title::before,
  .main-title::after {
    content: "";
    width: 12px;
    height: 12px;
    background-color: var(--main-color);
    position: absolute;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
}
  
  .main-title::before {
    left: -30px;
  }
  .main-title::after {
    right: -30px;
  }
  .main-title:hover::before {
    z-index: -1;
    animation: left-move 0.5s linear forwards;
  }
  .main-title:hover::after {
    z-index: -1;
    animation: right-move 0.5s linear forwards;
  }
  .main-title:hover {
    color: white;
    border: 2px solid white;
    background-color: var(--main-color);
    transition-delay: 0.5s;
  }

  .spikes {
    position: relative;
  }
  .spikes::after {
    content: "";
    position: absolute;
    right: 0;
    width: 100%;
    height: 30px;
    z-index: 1;
    background-image: linear-gradient(135deg, white 25%, transparent 25%),
      linear-gradient(225deg, white 25%, transparent 25%);
    background-size: 30px 30px;
  }
  .dots {
    background-image: url("../images/dots.png");
    height: 186px;
    width: 204px;
    background-repeat: no-repeat;
    position: absolute;
  }
  .dots-up {
    top: 200px;
    right: 0;
  }
  .dots-down {
    bottom: 200px;
    left: 0;
  }

/* End Global Rules */

/* Start Header */

header{
    background-color: rgb(50, 50, 50);
    position: relative;
    -webkit-box-shadow: 0 0 10px #ddd;
    -moz-box-shadow:0 0 10px #ddd;
    box-shadow: 0 0 10px #ddd;
}

header .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    position: relative;
}

header .logo{
    font-size: 26px;
    font-weight: bold;
    color:var(--main-color);
    height: 72px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-shadow: 0px 0px 1.5px rgb(184, 184, 184);
}

@media(max-width:767px){
    header .logo{
        width: 100%;
        height: 50px;
    }
}

header .main-nav{
   display: flex;
}

@media(max-width:767px){
    header .main-nav{
       margin: auto;
    }
}


header .main-nav > li:hover .mega-menu{
    opacity: 1;
    z-index: 10;
    top: calc(100% + 1px);
}


header .main-nav > li > a{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 72px;
    position: relative;
    color: white;
    padding: 0 30px;
    overflow: hidden;
    transition: var(--main-transition);
}

@media(max-width:767px){
    header .main-nav > li > a{
       padding: 10px;
       height: 40px;
       font-size: 14px;
    }
}



header .main-nav > li > a::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 4px;
    background-color: var(--main-color);
    top: 0;
    left: -100%;
    transition: var(--main-transition);
}

header .main-nav > li > a:hover{
    color: var(--main-color);
    background-color: #4d4d4d;
}

header .main-nav > li > a:hover::before{
    left: 0;
}


header .mega-menu{
    position: absolute;
    width: 100%;
    left: 0;
    padding: 30px;
    background-color: white;
    border-bottom: 3px solid var(--main-color);
    z-index: 100;
    display: flex;
    gap: 40px;
    top: calc(100% + 50px);
    z-index: -10;
    opacity: 0;
    transition: top var(--main-transition), opacity var(--main-transition);
}

@media(max-width:767px){
    header .mega-menu{
        flex-direction: column;
        gap: 0;
        padding: 7px;
    }
}

header .mega-menu img{
    max-width: 100%;
}

@media(max-width:991px){
    header .mega-menu .image{
        display: none;
    }
}

header .mega-menu .links{
    min-width: 250px;
    flex: 1;
}

header .mega-menu .links li{
    position: relative;
}

@media(max-width:767px){
    header .mega-menu .links:first-of-type li:last-child{
        border-bottom: 1px solid #e9e6e6;
    }
}

header .mega-menu .links li:not(:last-child){
    border-bottom: 1px solid #e9e6e6;
}

header .mega-menu .links li::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    background-color: #fafafa;
    z-index: -5;
    transition: var(--main-transition);
}

header .mega-menu .links li:hover::before{
    width: 100%;
}

header .mega-menu .links li a{
    color: var(--main-color);
    display: block;
    padding: 15px;
    font-size: 18px;
    font-weight: bold;
}

header .mega-menu .links li i{
    margin-right: 10px;
}



/* End Header */

/* Start Landing */

.landing{
   position: relative;
}

.landing .container{
    min-height: calc(100vh - 72px);
    display: flex;
    align-items: center;
    padding-bottom: 120px;
}

.landing::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: #212121;
    z-index: -1;
    transform:skewY(-6deg);
    transform-origin: top left;
}

.landing .text{
    flex: 1;
}

.landing .text h1{
    font-size: 40px;
    margin: 0;
    letter-spacing: -2px;
    color: var(--main-color);
}

.landing .text p{
    color: #999;
    font-size: 23px;
    line-height: 1.7;
    margin: 5px 0 0;
    max-width: 500px;
}


.landing .image img{
    position: relative;
    width: 600px;
    max-width: 100%;
    animation: up-and-down 4s linear infinite;
}

@media(max-width:991px){


  .landing .container {
    flex-direction:column;
  }
  
   .landing .image img{
        display: block;
    }


    .landing .text{
        text-align: center;
        margin-top:100px
    }
    .landing .text p{
        margin: 10px auto;
    }
}

@media(max-width:767px){

  .landing .container{
        min-height: calc(70vh - 70px);
  }
    .landing .text h1{
        font-size: 28px;
    }
    .landing .text p{
        font-size: 18px;
    }
  .landing .image img{
        display: none;
    }

}


.landing .go-down{
    color: var(--main-color);
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    transition: var(--main-transition);
}


.landing .go-down i{
    animation: bouncing 1.5s infinite;
}

/* End Landing */



/* Start Articles */
.articles {
    padding-top: var(--main-padding-top);
    padding-bottom: var(--main-padding-bottom);
    position: relative;
  }
  .articles .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 40px;
  }
  .articles .box {
    box-shadow: 0 2px 15px rgb(0 0 0 / 10%);
    background-color: white;
    border-radius: 6px;
    overflow: hidden;
    transition: transform var(--main-transition), box-shadow var(--main-transition);
  }
  .articles .box:hover {
    transform: translateY(-10px);
    box-shadow: 0 2px 15px rgba(255, 72, 72, 0.542);
  }
  .articles .box img {
    width: 100%;
    max-width: 100%;
  }
  .articles .box .content {
    padding: 20px;
  }
  .articles .box .content h3 {
    margin: 0;
  }
  .articles .box .content p {
    margin: 10px 0 0;
    line-height: 1.5;
    color: #777;
  }
  .articles .box .info {
    padding: 20px;
    border-top: 1px solid #e6e6e7;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .articles .box .info a {
    color: var(--main-color);
    font-weight: bold;
  }
  .articles .box .info i {
    color: var(--main-color);
  }
  .articles .box:hover .info i {
    animation: moving-arrow 0.6s linear infinite;
  }
  /* End Articles */


  /* Start Gallery */
.gallery {
    padding-top: var(--main-padding-top);
    padding-bottom: var(--main-padding-bottom);
    position: relative;
    background-color: var(--section-background);
  }
  .gallery .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 100px;
  }

  @media(max-width:767px){
    .gallery .container{
      gap: 30px;
    }
  }

  .gallery .box {
    padding: 5px;
    background-color: rgb(100, 100, 100);
    box-shadow: 0px 12px 20px 0px rgb(0 0 0 / 13%), 0px 2px 4px 0px rgb(0 0 0 / 12%);
  }
  .gallery .box .image {
    position: relative;
    overflow: hidden;
  }
  .gallery .box .image::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgb(255 255 255 / 20%);
    width: 0;
    height: 0;
    opacity: 0;
    z-index: 2;
  }
  .gallery .box .image:hover::before {
    animation: flashing 0.7s;
  }
  .gallery .box img {
    max-width: 100%;
    transition: var(--main-transition);
  }
  .gallery .box .image:hover img {
    transform: rotate(5deg) scale(1.1);
  }
  /* End Gallery */

  /* Start Features */




  .gallery-2{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: url(../images/bg2.jpg);
    background-size: cover;
  }


  .gallery-box {
    position: relative;
    width: 200px;
    height: 300px;
    border-radius: 20px;
    transform-style: preserve-3d;
    animation: animate 35s linear infinite; /* Thay Ä‘á»•i thá»i gian á»Ÿ Ä‘Ã¢y */
}
@keyframes animate {
    0% {
        transform: perspective(1000px) rotateY(0deg);
    }
    100% {
        transform: perspective(1000px) rotateY(360deg);
    }
}
.gallery-box span {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform-origin: center;
    transform-style: preserve-3d;
    transform: rotateY(calc(var(--i)* 45deg)) translateZ(350px);
    -webkit-box-reflect: below 0px linear-gradient(transparent,transparent, #0004);
}
.gallery-box span img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}


@media (max-width: 991px){

  .gallery-2{
    min-height: 60vh;
  }
  .gallery-box span {
    transform: rotateY(calc(var(--i)* 45deg)) translateZ(180px);
    width: 70%;
    height: 80%;
}

.gallery-box span img {
  width: 80%;
}

.gallery-box {
  position: relative;
  width: 180px;
  height: 220px;
  animation: animate 20s linear infinite;
}


}






  /* Start Testimonials */
.testimonials {
    padding-top: var(--main-padding-top);
    padding-bottom: var(--main-padding-bottom);
    position: relative;
    background-color: var(--section-background);
  }
  .testimonials .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 40px;
  }
  .testimonials .box {
    padding: 20px;
    background-color: white;
    box-shadow: 0 2px 4px rgb(0 0 0 / 7%);
    border-radius: 6px;
    position: relative;
  }
  .testimonials .box img {
    position: absolute;
    right: -10px;
    top: -50px;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    border: 10px solid var(--section-background);
  }
  .testimonials .box h3 {
    margin: 0 0 10px;
  }
  .testimonials .box .title {
    color: #777;
    margin-bottom: 10px;
    display: block;
  }
  .testimonials .box .rate .filled {
    color: #ffc107;
  }
  .testimonials .box p {
    line-height: 1.5;
    color: #777;
    margin-top: 10px;
    margin-bottom: 0;
  }
  /* End Testimonials */


  /* Start Team */
.team {
    padding-top: var(--main-padding-top);
    padding-bottom: var(--main-padding-bottom);
    position: relative;
  }
  .team .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 30px;
  }

.team svg{
    width: 60px;
  }
  .team .box {
    position: relative;
  }
  .team .box::before,
  .team .box::after {
    content: "";
    background-color: #f3f3f3;
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    border-radius: 10px;
    transition: var(--main-transition);
  }
  .team .box::before {
    width: calc(100% - 60px);
    z-index: -2;
  }
  .team .box::after {
    z-index: -1;
    background-color: #e4e4e4;
    width: 0;
  }
  .team .box:hover::after {
    width: calc(100% - 60px);
  }
  .team .box .data {
    display: flex;
    align-items: center;
    padding-top: 60px;
  }
  .team .box .data img {
    width: calc(100% - 60px);
    transition: var(--main-transition);
    border-radius: 10px;
  }
  .team .box:hover img {
    filter: grayscale(100%);
  }
  .team .box .data .social {
    width: 60px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
  }
  .team .box .data .social a {
    width: 60px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .team .box .data .social a:hover i {
    color: var(--main-color);
  }
  .team .box .data .social i {
    color: #777;
    transition: var(--main-transition);
  }
  .team .box .info {
    padding-left: 80px;
  }
  .team .box .info h3 {
    margin-bottom: 0;
    color: var(--main-color);
    font-size: 22px;
    transition: var(--main-transition);
  }
  .team .box .info p {
    margin-top: 10px;
    margin-bottom: 25px;
  }
  .team .box:hover .info h3 {
    color: #777;
  }
  /* End Team */


  /* Start Services */
.services {
    padding-top: var(--main-padding-top);
    padding-bottom: var(--main-padding-bottom);
    position: relative;
    background-color: var(--section-background);
  }
  .services .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 60px;
  }
  .services .box {
    counter-increment: services;
    transition: var(--main-transition);
    position: relative;
    height: 240px;
  }

  .box-1{
    background-image: url(../images/st1.jfif);
    background-size:cover;
    box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 #9c1fea;
    

  }
  .box-2{
    background-image: url(../images/st2.jfif);
    background-size:cover;
    box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 #cf1f1f;
  }
  .box-3{
    background-image: url(../images/st3.jpg);
    background-size:cover;
    box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 #fffb27;
  }
  .box-4{
    background-image: url(../images/st4.jpg);
    background-size:cover;
    box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 #29f5da;
  }
  .box-5{
    background-image: url(../images/st5.jfif);
    background-size:cover;
    box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 #ff9226;
  }
  .box-6{
    background-image: url(../images/st6.jfif);
    background-size:cover;
    box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 #03c100;
  }

  .services .box::before {
    content: "";
    left: 50%;
    transform: translateX(-50%);
    height: 3px;
    top: -3px;
    position: absolute;
    width: 0;
    transition: var(--main-transition);
  }

  .services .box-1::before{
    background-color: rgb(169, 12, 169);
  }
  .services .box-2::before{
    background-color: rgb(223, 5, 5);
  }
  .services .box-3::before{
    background-color: rgb(220, 220, 29);
  }
  .services .box-4::before{
    background-color: rgb(29, 184, 245);
  }
  .services .box-5::before{
    background-color: rgb(237, 155, 4);
  }
  .services .box-6::before{
    background-color: rgb(4, 211, 4);
  }

  
  .services .box:hover {
    transform: translateY(-5px);
  }
  .services .box:hover::before {
    width: 100%;
  }
  
  .services .box > h3 {
    text-align: center;
    margin: 7px 0 60px;
    text-transform: uppercase;
    font-size: 30px;
    
  }

  .services .box-1 > h3{
    color:white;
    text-shadow: 0.5px 0.5px 15px violet;
  }
  .services .box-2 > h3{
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(255, 70, 37);
  }
  .services .box-3 > h3{
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(207, 249, 38);
  }
  .services .box-4 > h3{
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(63, 229, 255);
  }
  .services .box-5 > h3{
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(255, 185, 34);
  }
  .services .box-6 > h3{
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(10, 255, 71);
  }

  .services .box .info {
    padding: 15px;
    position: relative;
    background-color: #040404;
    text-align: right;
    top: 60%;
  }
  .services .box .info::before {
    content: "0" counter(services);
    position: absolute;
    background-color: #343434;
    color: white;
    left: 0;
    top: 0;
    height: 100%;
    width: 80px;
    font-size: 30px;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-right: 15px;
  }
  .services .box .info::after {
    content: "";
    position: absolute;
    background-color: #d5d5d5;
    top: 0;
    left: 80px;
    width: 50px;
    height: calc(100% + 0.4px);
    transform: skewX(-30deg);
  }
  .services .box-1 .info a {
    color:white;
    text-shadow: 0.5px 0.5px 15px violet;
  }
  .services .box-2 .info a {
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(255, 70, 37);
  }
  .services .box-3 .info a {
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(207, 249, 38);
  }
  .services .box-4 .info a {
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(63, 229, 255);
  }
  .services .box-5 .info a {
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(255, 185, 34);
  }
  .services .box-6 .info a {
    color:white;
    text-shadow: 0.5px 0.5px 15px rgb(10, 255, 71);
  }
  /* End Services */

 

  /* Start Events */
.events {
   height: 70vh;
    background-image: url(../images/bg6.jpg);
    background-size: cover;

}

  

  
 

  /* Start Footer */
.footer {
    background-color: #191919;
    padding: 70px 0 0;
  }
  @media (max-width: 767px) {
    .footer {
      text-align: center;
    }
  }
  .footer .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 40px;
  }
  .footer .box h3 {
    color: rgb(199, 0, 0);
    text-shadow: 0.5px 0.5px 10px white;
    font-size: 50px;
    margin: 0 0 20px;
  }
  .footer .box .social {
    display: flex;
  }
  @media (max-width: 767px) {
    .footer .box .social {
      justify-content: center;
    }
  }
  .footer .box .social li {
    margin-right: 10px;
  }

  .footer .box .social li a {
    background-color: #313131;
    color: white;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    font-size: 20px;
    transition: var(--main-transition);
  }

  .footer .box .icon{
    transition: 0.8s ;
  }



  .footer .box .social .facebook:hover .icon {
    
    transform: rotateY(360deg);
  }
  .footer .box .social .facebook:hover{
    background-color: #134a91;
  }
  .footer .box .social .twitter:hover .icon {
    
    transform: rotateY(360deg);
  }
  .footer .box .social .twitter:hover{
    background-color: #1da1f2;
  }
  .footer .box .social .git:hover .icon {
    
    transform: rotateY(360deg);
  }

  .footer .box .social .git:hover {
    background-color: #8500d7;
  }

  .footer .box .text {
    line-height: 2;
    color: #b9b9b9;
  }
  .footer .box .links li {
    padding: 15px 0;
    transition: var(--main-transition);
  }
  .footer .box .links li:not(:last-child) {
    border-bottom: 1px solid #444;
  }
  .footer .box .links li:hover {
    padding-left: 10px;
  }
  .footer .box .links li:hover a {
    color: white;
  }
  .footer .box .links li a {
    color: #b9b9b9;
    transition: var(--main-transition);
  }
  .footer .box .links li a::before {
    font-family: "Font Awesome 5 Free";
    content: "\F101";
    font-weight: 900;
    margin-right: 10px;
    color: var(--main-color);
  }
  .footer .box .line {
    display: flex;
    align-items: center;
    color: #b9b9b9;
    margin-bottom: 30px;
  }
  @media (max-width: 767px) {
    .footer .box .line {
      flex-direction: column;
    }
  }
  .footer .box .line i {
    font-size: 25px;
    color: var(--main-color);
    margin-right: 10px;
  }
  @media (max-width: 767px) {
    .footer .box .line i {
      margin-right: 0;
      margin-bottom: 15px;
    }
  }
  .footer .box .line .info {
    line-height: 1.7;
    flex: 1;
  }
  .footer .box .line .info span {
    display: block;
  }
  .footer .footer-gallery img {
    width: 78px;
    border: 3px solid white;
    margin: 2px;
  }
  .footer .copyright {
    padding: 25px 0;
    text-align: center;
    color: white;
    margin: 50px 0 0;
    border-top: 1px solid #444;
  }
  /* End Footer */




















  /* Start Animation */
@keyframes up-and-down{
    0%,100%{
        top: 0;
    }
    50%{
        top: -50px;
    }
}

@keyframes bouncing{
    0%,10%,20%,50%,80%,100%{
        transform: translateY(0);
    }
    40%,60%{
        transform: translateY(-15px);
    }
}

@keyframes left-move {
  50% {
    left: 0;
    width: 12px;
    height: 12px;
  }
  100% {
    left: 0;
    border-radius: 0;
    width: 50%;
    height: 100%;
  }
}
@keyframes right-move {
  50% {
    right: 0;
    width: 12px;
    height: 12px;
  }
  100% {
    right: 0;
    border-radius: 0;
    width: 50%;
    height: 100%;
  }
}
@keyframes moving-arrow {
  100% {
    transform: translateX(10px);
  }
}
@keyframes flashing {
  0%,
  40% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    width: 200%;
    height: 200%;
  }
}
@keyframes change-background {
  0%,
  100% {
    background-image: url("../images/discount-background1.jpg");
  }
  50% {
    background-image: url("../images/discount-background2.jpg");
  }
}
/* End Animation */
